.\"	$NetBSD: binstall.8,v 1.4 2008/05/29 14:51:25 mrg Exp $
.\"
.\" Copyright (c) 2002 Matthew R. Green
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
.\" BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
.\" LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
.\" AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
.\" OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.Dd January 6, 2002
.Dt BINSTALL 8 sparc
.Os
.Sh NAME
.Nm /usr/mdec/binstall
.Nd install sparc and sparc64 boot blocks
.Sh SYNOPSIS
.Nm
.Op Fl htUuv
.Op Fl b Ar bootprog
.Op Fl f Ar filesystem
.Op Fl m Ar mdec
.Op Fl i Ar installbootprog
.Oo
.Dq net
.Ns \&|
.Dq ffs
.Oc
.Op directory
.Sh DESCRIPTION
The
.Nm
program prepares a sparc or sparc64 system for booting, either from local
disk from a
.Dq ffs
partition or over the network.  The default type of boot block installed
is derived from the host system.  If it is an UltraSPARC, the sparc64
boot blocks will be used, otherwise the SPARC boot blocks will be used.
.Nm
can be forced to prepare a disk for either.
.Sh OPTIONS
The following options are available:
.Bl -tag -width 123456
.It Fl b
Set the second stage boot program to
.Ar bootprog .
This will typically be
.Pa boot.net
for sparc systems and
.Pa ofwboot.net
for sparc64 systems.
.It Fl f
Set the path to the filesystem being installed for to
.Ar filesystem .
This is otherwise derived from the
.Op directory .
.It Fl h
Display help.
.It Fl i
Set the path to the
.Xr installboot 8
program to
.Ar installbootprog .
This is useful for using
.Nm
on non-sparc or sparc64 systems.
.It Fl m
Sets the path to the machine dependent directory to
.Ar mdec .
This is the directory that both the boot blocks and the
.Xr installboot 8
program live.
.It Fl t
Test mode; does not run any program.  Implies the
.Fl v
option.
.It Fl U
Install sparc (SPARC) boot blocks.
.It Fl u
Install sparc64 (UltraSPARC) boot blocks.
.It Fl v
Be verbose.
.El
.Sh SEE ALSO
.Xr disklabel 8 ,
.Xr installboot 8
